Package org.eclipse.lemminx.utils.platform

## Class OS

- java.lang.Object
- - org.eclipse.lemminx.utils.platform.OS

    public class OS
    extends Object

OS information

### Constructor Summary

Constructors
`OS()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getArch()` Returns the OS arch.
`String` `getName()` Returns the OS name.
`String` `getVersion()` Returns the OS version.
`boolean` `isWindows()` Returns true if the operating system is Windows and false otherwise

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OS

    public OS()

### Method Detail

#### getName

    public String getName()

Returns the OS name.

Returns:
  the OS name.

#### getVersion

    public String getVersion()

Returns the OS version.

Returns:
  the OS version.

#### getArch

    public String getArch()

Returns the OS arch.

Returns:
  the OS arch.

#### isWindows

    public boolean isWindows()

Returns true if the operating system is Windows and false otherwise

Returns:
  true if the operating system is Windows and false otherwise